update resets unity launcher favorites

Bug #817954 reported by Lukasz Olszewski on 2011-07-29
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
unity-2d
High
Didier Roche
unity-2d (Ubuntu)
High
Didier Roche

Bug Description

After todays update (history listed below) the configuration in dconf -> desktop -> unity -> launcher -> favorites got overwritten by defaults.

Update history:
Start-Date: 2011-07-29 10:36:07
Install: libdconf-dbus-1-0:amd64 (0.7.5-3), libgwibber1:amd64 (0.1.1-0ubuntu1), libdconf-qt0:amd64 (0.0.0.110722-0ubuntu3)
Upgrade: bluez-alsa:amd64 (4.94-0ubuntu3, 4.95-0ubuntu1), libgutenprint2:amd64 (5.2.6-1ubuntu1, 5.2.7-2ubuntu2), unity-2d:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1), libebackend-1.2-1:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), pxljr:amd64 (1.1-0ubuntu8, 1.1-0ubuntu9), bluez-gstreamer:amd64 (4.94-0ubuntu3, 4.95-0ubuntu1), libunity-2d-private0:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1), libecal1.2-9:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), libpython2.7:amd64 (2.7.2-3, 2.7.2-3ubuntu1), bluez-cups:amd64 (4.94-0ubuntu3, 4.95-0ubuntu1), libutouch-geis1:amd64 (2.1.1-0ubuntu1, 2.1.2-0ubuntu1), usb-creator-gtk:amd64 (0.2.30, 0.2.31), bluez:amd64 (4.94-0ubuntu3, 4.95-0ubuntu1), python2.7:amd64 (2.7.2-3, 2.7.2-3ubuntu1), libedata-book-1.2-10:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), libsoup-gnome2.4-1:amd64 (2.34.2-2, 2.34.2-2ubuntu1), unity-2d-spread:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1), libedata-cal-1.2-12:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), mtr-tiny:amd64 (0.80-1, 0.80-1ubuntu1), gir1.2-soup-2.4:amd64 (2.34.2-2, 2.34.2-2ubuntu1), update-manager:amd64 (0.152.8, 0.152.9), update-manager-core:amd64 (0.152.8, 0.152.9), unity-2d-panel:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1), indicator-power:amd64 (0.4-0ubuntu1, 0.4-0ubuntu3), cups-driver-gutenprint:amd64 (5.2.6-1ubuntu1, 5.2.7-2ubuntu2), libcamel-1.2-28:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), unity-2d-places:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1), usb-creator-common:amd64 (0.2.30, 0.2.31), python2.7-minimal:amd64 (2.7.2-3, 2.7.2-3ubuntu1), evolution-data-server-common:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), evolution-data-server:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), libedataserverui-3.0-1:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), unity-2d-launcher:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1), libbluetooth3:amd64 (4.94-0ubuntu3, 4.95-0ubuntu1), libedataserver1.2-14:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), libebook1.2-11:amd64 (3.1.4-0ubuntu1, 3.1.4-0ubuntu3), libsoup2.4-1:amd64 (2.34.2-2, 2.34.2-2ubuntu1)

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 4.4.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-7.8-generic 3.0.0
Uname: Linux 3.0.0-7-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,imgjpeg,decor,titleinfo,compiztoolbox,staticswitcher,regex,move,winrules,place,imgpng,mousepoll,resize,grid,vpswitch,gnomecompat,session,animation,wall,unitymtgrabhandles,workarounds,fade,thumbnail,expo,scale,scaleaddon,unityshell]
Date: Fri Jul 29 11:23:56 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 PATH=(custom, no user)
 LANG=pl_PL.UTF-8
 SHELL=/usr/bin/zsh
SourcePackage: unity
UpgradeStatus: Upgraded to oneiric on 2011-07-27 (2 days ago)

Related branches

Lukasz Olszewski (olszewskil) wrote :
Omer Akram (om26er) wrote :

I believe Didier might have a better insight on the issue, btw my system is currently being updated and hope to face the problem

Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Omer Akram (om26er) wrote :

I just updated and the same happened for me, all my fav launchers reset to defaults

summary: - Unity update resets unity launcher favorites
+ update resets unity launcher favorites
Changed in unity (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Changed in unity:
status: New → Confirmed
Didier Roche (didrocks) wrote :

I have no idea right now what can do that to you. I didn't reproduce it there.

Do you right at the same time two sessions with unity and unity-2d? (they both share the shame schema now, so they can overwrite themselves maybe).

Can you also look at:
~/.local/share/.converted-launchers
and ~/.local/share/unity/migration_script.log

to see if anything can be reproduced?
If not, if you can find a good reprouceable test case (like downgrading package X, upgrading it -> it's resetted) can be helpful!

Changed in unity (Ubuntu):
status: Confirmed → Incomplete
Changed in unity:
status: Confirmed → Incomplete
Lukasz Olszewski (olszewskil) wrote :

No, I always use the same session and I didn't switch to 2D. It happened right after my every morning update and at that time I didn't do anything else. A look at the update history reveled only few packages which could cause that:
unity-2d:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1)
unity-2d-places:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1)
unity-2d-launcher:amd64 (3.8.10-0ubuntu2, 3.8.12-0ubuntu1)

There were no other significant updates which could overwrite unity configuration in dconf. Also please keep in mind that no other settings were lost at that time.

As to ~/.local/share/.converted-launchers -> this one is empty
and ~/.local/share/unity/migration_script.log -> this one doesn't exist on my system.

Didier Roche (didrocks) wrote :

ok, I think it's the transitional settings in unity-2d which does that, let me try to fix it.

Changed in unity:
status: Incomplete → Triaged
Changed in unity (Ubuntu):
status: Incomplete → Triaged
Changed in unity:
importance: Undecided → High
assignee: nobody → Didier Roche (didrocks)
Didier Roche (didrocks) on 2011-08-02
affects: unity → unity-2d
affects: unity (Ubuntu) → unity-2d (Ubuntu)
Changed in unity-2d:
status: Triaged → Fix Committed
Changed in unity-2d (Ubuntu):
status: Triaged → Fix Committed
Changed in unity-2d:
milestone: none → 3.8.16
Didier Roche (didrocks) on 2011-08-02
Changed in unity-2d:
milestone: 3.8.16 → 3.8.14.1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 3.8.14.1-0ubuntu1

---------------
unity-2d (3.8.14.1-0ubuntu1) oneiric; urgency=low

  * Few upstream fixes:
    - unity-2d-places crashed with SIGSEGV in
      QDeclarativePropertyPrivate::initProperty() (LP: #817896)
    - update resets unity launcher favorites (LP: #817954)
 -- Didier Roche <email address hidden> Tue, 02 Aug 2011 16:08:27 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-08-02
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers